------------------------------------------
-- Author:      Anthony Dotterer
-- Date:        12:43 PM 9/12/01
-- Purp:	Generic register
------------------------------------------

library IEEE;
use IEEE.std_logic_1164.all;

entity Reg is
	generic( N : positive := 8 );
	port( 	D : in std_logic_vector( N-1 downto 0);
	  	C, Clk, R : in std_logic;
	      	Q : out std_logic_vector(N-1 downto 0));
end Reg;

architecture behavior of Reg is

begin
	process( Clk, R )
	begin
		if ( R = '1' ) then Q <= (others => '0' );
		elsif (rising_edge(Clk)) then if ( C = '1' ) then Q <= D; end if;
		end if;
	end process;
end behavior;




