library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;

entity scanreg is
	port (kbclk, kbdata, reset: in std_logic;
		scancode: out std_logic_vector(7 downto 0);
		done: out std_logic);
end entity;


architecture behavior of scanreg is
    signal temp: std_logic_vector(10 downto 0);
    signal count: std_logic_vector(6 downto 0);

begin

    scancode <= temp(8 downto 1);
    process(kbclk, reset)
    begin
    	if (reset = '1') then
    	    temp <= (others => '0');
	    count <= (others => '0');
    	    done <= '0';
    	elsif(falling_edge(kbclk)) then
    	    temp <= kbdata & temp(10 downto 1);
    	    if (count = "100000") then
    	    	done <= '1';
    	    	count <= "0000000";
    	    else
    	        count <= count + "000001";
    	    	done <= '0';
    	    end if;
    	end if;
    end process;
end architecture;

