library ieee;
use ieee.std_logic_1164.all;
entity scanconverter is
	port (scancode: in std_logic_vector(7 downto 0);
		kind: out std_logic;
		digit: out std_logic_vector(3 downto 0));
end entity;


architecture behavior of scanconverter is

begin

    process(scancode)
    begin
    	case scancode is
	    when x"45" => kind <= '0'; digit <= "0000";		--0
	    when x"16" => kind <= '0'; digit <= "0001";		--1
	    when x"1E" => kind <= '0'; digit <= "0010";		--2
	    when x"26" => kind <= '0'; digit <= "0011";		--3
	    when x"25" => kind <= '0'; digit <= "0100";		--4
	    when x"2E" => kind <= '0'; digit <= "0101";		--5
	    when x"36" => kind <= '0'; digit <= "0110";		--6
	    when x"3D" => kind <= '0'; digit <= "0111";		--7
	    when x"3E" => kind <= '0'; digit <= "1000";		--8
	    when x"46" => kind <= '0'; digit <= "1001";		--9
	    when x"3A" => kind <= '1'; digit <= "0110";		--M
	    when x"4D" => kind <= '1'; digit <= "0000";		-- P
	    when x"1B" => kind <= '1'; digit <= "1111";		-- S
	    when x"55" => kind <= '1'; digit <= "0001";		-- =
	    when others => kind <= '0'; digit<= "0000";
    	end case;
    end process;
end architecture;
