------------------------------------------
-- Author: Derwyn Hollobaugh
-- Date: Oct 17, 2001
-- Purp: Hex to Segment Converter
------------------------------------------

library IEEE;
use IEEE.std_logic_1164.all;

entity hex2seven is
	port(hex: in std_logic_vector(3 downto 0);
	     seg: out std_logic_vector(6 downto 0));
end hex2seven;

architecture structure of hex2seven is

signal temp: std_logic_vector(6 downto 0);

begin
	process(hex)
	begin
		case hex is
			when "0000" => temp <= "1111110";
			when "0001" => temp <= "0110000";
			when "0010" => temp <= "1101101";
			when "0011" => temp <= "1111001";
			when "0100" => temp <= "0110011";
			when "0101" => temp <= "1011011";
			when "0110" => temp <= "1011111";
			when "0111" => temp <= "1110000";
			when "1000" => temp <= "1111111";
			when "1001" => temp <= "1110011";
			when "1010" => temp <= "1110111";
			when "1011" => temp <= "0011111";
			when "1100" => temp <= "0001101";
			when "1101" => temp <= "0111101";
			when "1110" => temp <= "1001111";
			when "1111" => temp <= "1000111";
			when others =>
		end case;
	end process;
	seg <= temp;
end architecture;
